Create Domain
Register a sending domain and get DNS records.
MethodPOST
/api/v2/domainsRegisters a sending domain and returns DNS records. Permission: domains.
Body Parameters
| Name | Type | Description |
|---|---|---|
domain | string | Required. Hostname to register, e.g. mail.example.com. |
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | MailDomain id. |
domain | string | Registered hostname. |
status | string | NOT_STARTED, PENDING, VERIFIED, or FAILED. |
region | string | AWS region when provisioned. |
dnsRecords | array | Records to add: type, name, value, priority, ttl, purpose. |
sesRecords | array | Stored SES DNS records when present. |
message | string | Next-step copy. |
Errors
| Status | name | When |
|---|---|---|
| 401 | missing_api_key | Missing or invalid bearer token |
| 403 | missing_permission | Token lacks the domains permission |
| 400 | validation_error | Already registered, claimed elsewhere, or plan limit |